Jump to content

Archived

This topic is now archived and is closed to further replies.

alisamski

DMS JQuery version: Plugin Conflict

Recommended Posts

alisamski

Hi,

 

Trying to implement a plugin... (before you say anything about support)... I've been thru the plugin developer and this is what they say...

 

Exit Box Plugin: does not play nicely with DMS Editor....

 

 

Developer Says: The error is generated by your theme when it tries to extend a standard jQuery ( jQuery.extend.swing ). that is a standard jQuery effect and not a part of ExitBox, My guess is that your theme was designed for an older version of jQuery.

 

URL in question with external linking: http://bit.ly/1tpuk4b

 

Please advise.

 

Share this post


Link to post
Share on other sites
Simon

What isnt working? https://cloudup.com/cTwyj_fwH8i Thats the lite version and the DMS editor working.

 

DMS does not use and version of jQuery, it makes use of the bundled version that is part of WordPress. 

Share this post


Link to post
Share on other sites
alisamski

Simon_P Purchased the pro version... and the DMS editor in Chrome does not load... (which I can send you to test)??

Been working with the developer and he's been sending several versions for me to try... can it be the Php Version the site is on?

 

Let me know which email?

Share this post


Link to post
Share on other sites
Simon

Send to simon @ pagelines dot com 

 

Hopefully the pro version is coded better than the lite version, i had to turn off debugging because the page was full of php warnings. 

Share this post


Link to post
Share on other sites
Simon

Well, after a quick look, the 'thickbox' setting works ok..

 

The plugin turns link like this: <p><a href="http://google.com">google</a></p>

 

into this:

<p><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<html><body><a href="http://dms-theme-2?xb=%3A%2F%2Fgoogle.com" rel="nofollow" class=" fancyexitbox" id="exitbox50587"></body></html>
google</a></p>

.. which is mind boggling, what is with the doctypes???

Share this post


Link to post
Share on other sites
alisamski

Decided to trash it....  too much lagtime when loading pages etc...

 

aaaack I spent way too much time on this...

 

Thanks Simon...

Share this post


Link to post
Share on other sites
Simon

Yea was overkill really 

Share this post


Link to post
Share on other sites
alisamski

So basically I'm trying to just do a basic overall sitewide popup when clicking on an external link (via the financial compliance requirement)...

However, I need it to go to the url afterwards...

 

I'm not seeing the DMS Modal popup ability to do that...

 

unless I'm missing something?

Share this post


Link to post
Share on other sites
Danny

You will probably want to use a lightbox or similar plugin, these plugins usually include a class which triggers the lightbox effect. You will want to use this class on all your external links.

I think the best course of action would be for you to ask this question on the WordPress support forums, as this isn't a theme specific issue.


Please search our forums, before posting!

Share this post


Link to post
Share on other sites
alisamski

Danny Thanks will do.

Share this post


Link to post
Share on other sites

  • Similar Content

    • MiraAdmin
      By MiraAdmin+
      Looking for some help on a recently developed issue. Editor will not load. 
      Theme:  DMS2
      Error from:  Chrome - Inspector - console view
      Error message: Refused to execute script from 'http://xxxx.xxx/wp-content/themes/dms/dms/editor/js/gettext.js/?ver=4.9.7' because its MIME type ('text/html') is not executable, and strict MIME type checking is enabled.
      Occurs on all sites on same server. 
      WP versions to 4.9.5, 4.9.6, 4.9.7 = same behavior. Worked properly on these same versions until 07/04/2018.
      No new plugins. Isolating plugins offers same behavior. 
      Server vendor reports no changes, patches, etc. 
      Server re-starts no impact.  

      Thank you. 
    • Tom
      By Tom
      Hi, I desperatly need some help fixing the DMS editor. It's not loading at all en gets stuck at 'Oops there may be an issue loading.'
      I'm able to find this two warnings in chrome:
       
      www.studiekeuzemaken.nl/:4607 Uncaught SyntaxError: Invalid or unexpected token
      pl.editor.js:740 Uncaught TypeError: Cannot read property 'lang' of undefined
          at Object.reloadConfig (pl.editor.js:740)
          at Object.startUp (pl.editor.js:72)
          at HTMLDocument.<anonymous> (pl.editor.js:10)
          at i (jquery.js:2)
          at Object.fireWith [as resolveWith] (jquery.js:2)
          at Function.ready (jquery.js:2)
          at HTMLDocument.K (jquery.js:2)
       
      When I dug into the first warning a little deeper (line 4607)I found out that there is a typo in a css that's causing the SyntaxError. Because the css is placed within a textbox and the editor is not loading I'm not able to fix this.

      What can I do?

      Please help!

      - Tom
       
       
       
    • stebac
      By stebac+
      Hello!

      Since i recently updated to WordPress 4.9.4 there have been some unusual behaviours with Platform 5 (version 5.1.8).

      I am unable to edit the colour pickers for the backgrounds (the boxes do not show up anymore) and when i activate a plugin from the extend menu it does not show up in my page editor tools.
      Is this a problem for everyone else?
      Thank you in advance for your time.
      Ste.
    • werdnags
      By werdnags+
      Hi Folk,
      Can anyone help me please.  On a page on my site I placed an 'embed section' and inserted code from the Eviivo Booking system that seems to call scripts from their site.  After doing the PL5 editors will not load so I can't edit anything.  Is there anyway of disabling the section so I don;t have to rebuild the page?
      Thanks.
    • chamois_blanc
      By chamois_blanc+
      Please see screenshot. I think it should be self-explanatory.

×